%% Process volumes
GT = 1;
IMG = 0;

for i=1:size(im_paths,1)
    disp(i);
    im_filename = char(im_paths(i));
    gt_filename = char(gt_paths(i));

    im_nii = load_nii(im_filename);
    gt_nii = load_nii(gt_filename);
    
    im = im_nii.img;
    gt = gt_nii.img;
    
    % Get spacing of flair
    im_spacing = im_nii.hdr.dime.pixdim(2:4);

    %disp(flair_spacing);
    target_spacing = [0.8,0.8,0.8];
    
    im_pre = preprocess_volume(im, im_spacing, target_spacing, IMG);
    gt_pre = preprocess_volume(gt, im_spacing, target_spacing, GT);
    
    SAVE = 1;
    if SAVE
        
        
        im_pre_nii = make_nii(im_pre);
        gt_pre_nii = make_nii(gt_pre);
        
        [pathstr,name,ext] = fileparts(im_filename);
        name = [name, '_08'];
        im_filename = fullfile(pathstr,[name,ext]);
        save_nii(im_pre_nii, im_filename);
        
        
        [pathstr,name,ext] = fileparts(gt_filename);
        name = [name, '_08'];
        gt_filename = fullfile(pathstr,[name,ext]);
        save_nii(gt_pre_nii, gt_filename);
    end;
end;
