%% Training
for i=1:size(im_paths,1)
    disp(i);
    im_filename = char(im_paths(i));
    gt_filename = char(gt_paths(i));

    im_mhd = read_mhd(im_filename);
    gt_mhd = read_mhd(gt_filename);

    im = im_mhd.data;
    gt = gt_mhd.data;

    im = single(im);
    gt = single(gt);

    im_nii = make_nii(im);
    gt_nii = make_nii(gt);

    % Fix spacing
    im_nii.hdr.dime.pixdim(1:4) = [1, im_mhd.spacing'];
    gt_nii.hdr.dime.pixdim(1:4) = [1, gt_mhd.spacing'];

    [path,name,ext] = fileparts(im_filename);
    output_filename = fullfile(path, [name, '.nii']);
    save_nii(im_nii,output_filename);

    [path,name,ext] = fileparts(gt_filename);
    output_filename = fullfile(path, [name, '.nii']);
    save_nii(gt_nii,output_filename);
end;


%% Testing
for i=1:size(test_im_paths,1)
    disp(i);
    im_filename = char(test_im_paths(i));
    im_mhd = read_mhd(im_filename);
    im = im_mhd.data;
    im = single(im);
    im_nii = make_nii(im);
    im_nii.hdr.dime.pixdim(1:4) = [1, im_mhd.spacing'];
    [path,name,ext] = fileparts(im_filename);
    output_filename = fullfile(path, [name, '.nii']);
    save_nii(im_nii,output_filename);
end;

%%
im_norm = im / max(im(:));

x = 155;
im_perm = permute(im_norm,[1,2,3]);
gt_perm = permute(gt, [1,2,3]);
im_slice = im_perm(:,:,x);
gt_slice = gt_perm(:,:,x);
%
%imshow(im_slice);
%hold on;
%B = bwboundaries(gt_slice);
%visboundaries(B);
