
dataset = 0;
for dataset=0:17
    disp(dataset);
    data_path = '/media/oyvind/Oyvind/NTNU/data/rcaa_stenoses/training/dataset%.2d/DICOM/';
    curr_path = sprintf(data_path, dataset);
    filenames = dir(curr_path);

    num_files = size(filenames,1)-2;
    filename = [curr_path,'export%.4d.dcm'];

    % Get info from first slice
    dicom_file = sprintf(filename,1);
    info = dicominfo(dicom_file);

    pixel_spacing = info.PixelSpacing;
    spacing_between_slices = info.SpacingBetweenSlices;

    width = info.Columns;
    height = info.Rows;
    depth = num_files;

    % Create volume
    volume = zeros([width, height, depth]);

    for i=1:num_files
        dicom_file = sprintf(filename,i);
        slice = dicomread(dicom_file);
        volume(:,:,i) = slice;
    end;


    % normalize, zero mean, div std
    volume = single(volume);
    volume = volume / max(volume(:));
    v_mean = mean(volume(:));
    v_std = std(volume(:));
    volume = volume - v_mean;
    volume = volume / v_std;


    %%
    % Convert volume to nifti

    % Transpose the volume
    volume = permute(volume,[2 1 3]);

    nii = make_nii(volume);
    nii.hdr.dime.pixdim(2) = pixel_spacing(1);
    nii.hdr.dime.pixdim(3) = pixel_spacing(2);
    nii.hdr.dime.pixdim(4) = spacing_between_slices;

    nii_path = sprintf('/media/oyvind/Oyvind/NTNU/data/rcaa_stenoses/aorta/img%.2d.nii', dataset);
    save_nii(nii, nii_path);

end;