function [ output_img ] = preprocess_volume( input_img, s_original, s_target, GT )

    % Calculate size of new image
    s = s_original ./ s_target;
    input_size = size(input_img);
    output_size = floor(input_size .* s);

    VERBOSE = 0;
    if VERBOSE
        disp('input');
        disp(input_size);
        disp('output');
        disp(output_size);
    end;
    
    % Create outputs
    
    [y, x, z]=...
       ndgrid(linspace(1,input_size(1),output_size(1)),...
              linspace(1,input_size(2),output_size(2)),...
              linspace(1,input_size(3),output_size(3)));
    
          
    % Resample image
    if GT
        output_img = interp3(input_img,x,y,z,'nearest');
    else
        img_resampled = interp3(input_img,x,y,z,'linear');
    
        % normalize, mean substraction, div std
        img_norm = img_resampled / max(img_resampled(:));
        img_mean = mean(img_norm(:));
        img_std = std(img_norm(:));

        output_img = (img_norm - img_mean) / img_std; 
    end;

end

