rocks_path = '~/rocks/%s/';

rock_num_template = '%d%d%d';
gt_path = 'segmented_350c_2p03um_%s.raw';
im_path = 'tomo_350c_2p03um_%s.raw';

output_path = '/media/oyvind/54DC22A5DC2280FA/rock_data/nifti/%s.nii.gz';

width = 350;
height = 350;
depth = 350;

im_size = width*height*depth;

STATS = 1; 
CONVERT = 1;
CROP = 1;

gt_class_sum = zeros(36,3);
i = 1;

for x=0:2
    for y=0:2
        for z=0:3
            rock_num = sprintf(rock_num_template, [x,y,z]);
            
            curr_folder = sprintf(rocks_path,rock_num);
            gt_file = [curr_folder, sprintf(gt_path,rock_num)];
            im_file = [curr_folder, sprintf(im_path,rock_num)];
            
            gtf = fopen(gt_file);
            gt = fread(gtf, im_size, 'uint8');
            gt = reshape(gt, [width,height,depth]);
            fclose(gtf);
            
            imf = fopen(im_file);
            im = fread(imf, im_size, 'uint16', 'b');
            im = reshape(im, [width, height, depth]);
            fclose(imf);
            
            % Calculate stats
            if (STATS)
                
                % Check number of each class
                gt_class_sum(i,:) = [sum(gt(:)==0) sum(gt(:)==1) sum(gt(:)==2)];
            end;
            
            
            % Normalize
            im = im / max(im(:));
            im_mean = mean(im(:));
            im_std = std(im(:));
            im = im - im_mean;
            im = im / im_std;
            
            % Crop to make it loadable
            if (CROP)
                im = im(1:175,1:175,1:175);
                gt = gt(1:175,1:175,1:175);
            end;
            
            
            if (CONVERT)
                % convert to nifti
                gt_nii = make_nii(gt);
                gt_nii_path = sprintf(output_path, ['gt_' rock_num]);
                save_nii(gt_nii,gt_nii_path);

                im_nii = make_nii(im);
                im_nii_path = sprintf(output_path, ['im_' rock_num]);
                save_nii(im_nii,im_nii_path);
            end;

            i = i+1;
        end;
    end;
end;


%%
max_sum = sum(gt_class_sum(1,:));


class_mean = mean(gt_class_sum);

class_mean_percent = class_mean / max_sum;