im_paths = first_img;
gt_paths = first_gt;

output_path = '/media/oyvind/54DC22A5DC2280FA/rock_data/nifti/dataset2/';
rock_name = '%s_%.3d_%d%d%d.nii.gz';
width = 350;
height = 350;
depth = 350;

im_size = width*height*depth;

STATS = 1; 
CONVERT = 0;
CROP = 0;
SPLIT = 1;
gt_class_sum = zeros(36,3);
i = 1;

num_images = size(im_paths,1);

for d=1:num_images
    
    disp(d);
    gt_file = char(gt_paths(d));
    im_file = char(im_paths(d));
    
    gtf = fopen(gt_file);
    gt = fread(gtf, im_size, 'uint8');
    gt = reshape(gt, [width,height,depth]);
    fclose(gtf);

    imf = fopen(im_file);
    im = fread(imf, im_size, 'uint16', 'b');
    im = reshape(im, [width, height, depth]);
    fclose(imf);

    % Calculate stats
    if (STATS)
        % Check number of each class
        gt_class_sum(i,:) = [sum(gt(:)==0) sum(gt(:)==1) sum(gt(:)==2)];
    end;



    
    if (SPLIT)
        for x=0:1
            for y=0:1
                for z=0:1
                    xr = x*width/2+1:(x+1)*width/2;
                    yr = y*height/2+1:(y+1)*height/2;
                    zr = z*depth/2+1:(z+1)*depth/2;
                    
                    
                    im_sub = im(xr,yr,zr);
                    gt_sub = gt(xr,yr,zr);
                    
                    % Normalize
                    im_sub = im_sub / max(im_sub(:));
                    im_mean = mean(im_sub(:));
                    im_std = std(im_sub(:));
                    im_sub = im_sub - im_mean;
                    im_sub = im_sub / im_std;
                    
                    % convert to nifti
                    gt_nii = make_nii(gt_sub);
                    gt_nii_path = [output_path, sprintf(rock_name, 'gt',d-1,x,y,z)];
                    save_nii(gt_nii,gt_nii_path);

                    im_nii = make_nii(im_sub);
                    im_nii_path = [output_path, sprintf(rock_name, 'im',d-1,x,y,z)];
                    save_nii(im_nii,im_nii_path);
                    
                end;
            end;
        end;
    end;

    
    
    % Normalize
    im = im / max(im(:));
    im_mean = mean(im(:));
    im_std = std(im(:));
    im = im - im_mean;
    im = im / im_std;
    
    % Crop to make it loadable
    if (CROP)
        im = im(1:175,1:175,1:175);
        gt = gt(1:175,1:175,1:175);
    end;


    if (CONVERT)
        % convert to nifti
        gt_nii = make_nii(gt);
        gt_nii_path = sprintf(output_path, ['gt_' rock_num]);
        save_nii(gt_nii,gt_nii_path);

        im_nii = make_nii(im);
        im_nii_path = sprintf(output_path, ['im_' rock_num]);
        save_nii(im_nii,im_nii_path);
    end;

    i = i+1;
end;



%%
max_sum = sum(gt_class_sum(1,:));


class_mean = mean(gt_class_sum);

class_mean_percent = class_mean / max_sum;